[ovs-dev] [PATCH] ovsdb: Fix unused warning.

Ben Pfaff blp at nicira.com
Tue Feb 8 20:24:35 UTC 2011


On Tue, Feb 08, 2011 at 11:52:29AM -0800, Ethan Jackson wrote:
> "warning: 'parse_db_string_column' defined but not used"
> This commit fixes the above warning when compiling on systems which
> do not have SSL support.  It also causes query_db_string() to
> always be compiled on these systems as it is not SSL specific and
> may be useful in the future.

You can just add OVS_UNUSED to the function definition, like below.
Either way, it's fine.

diff --git a/ovsdb/ovsdb-server.c b/ovsdb/ovsdb-server.c
index 1dc9b7d..79fc8f9 100644
--- a/ovsdb/ovsdb-server.c
+++ b/ovsdb/ovsdb-server.c
@@ -242,8 +242,7 @@ parse_db_string_column(const struct ovsdb *db,
     *tablep = table;
 }
 
-#if HAVE_OPENSSL
-static const char *
+static OVS_UNUSED const char *
 query_db_string(const struct ovsdb *db, const char *name)
 {
     if (!name || strncmp(name, "db:", 3)) {
@@ -269,7 +268,6 @@ query_db_string(const struct ovsdb *db, const char *name)
         return NULL;
     }
 }
-#endif /* HAVE_OPENSSL */
 
 static struct ovsdb_jsonrpc_options *
 add_remote(struct shash *remotes, const char *target)




More information about the dev mailing list